Mailinglist Archive: opensuse-packaging (284 mails)

< Previous Next >
Re: [opensuse-packaging] libnotify and gtk
On 02/01/2011 08:00 PM, Kyrill Detinov wrote:
Tuesday 01 February 2011

Hello.

I can't compile a package against libnotify in Factory standard repo.
It fails with:

In file included from /usr/include/libnotify/notify.h:28:0,
from popup.c:28:
/usr/include/libnotify/notification.h:28:21: fatal error: gtk/gtk.h: No such
file or directory

Packages built succesfully for 11.3, 11.2, 11.1.
Can anybody help, please?

https://build.opensuse.org/package/show?package=xneur-svn&project=home%3ALazy_Kent%3Atesting


/usr/include/gtk-2.0/gtk/gtk.h comes from gtk2-devel. I notice that your
configure output doesn't mention checking for gtk or gtk2
This is present in the output from the 11.3 configure :
Libnotify compiler flags: -pthread -I/usr/include/gtk-2.0
From the factory build :
Libnotify compiler flags: -pthread And the above line is missing.
Try ./configure --help in the unpacked sources, at the command line
locally to look for an option to specify where to look for gtk2 or where
to add -I/usr/include/gtk-2.0

Dave P
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References